%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-CBC
Version:       3.03
Release:       2mamba
Summary:       Crypt::CBC - Encrypt Data with Cipher Block Chaining Mode
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Crypt/Crypt-CBC-%{version}.tar.gz
License:       Artistic, GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Crypt-PBKDF2
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: perl-Crypt-CAST5
BuildRequires: perl-Crypt-IDEA
BuildRequires: perl-Crypt-Rijndael
BuildRequires: perl-Crypt-Blowfish_PP
BuildRequires: perl-Crypt-DES
BuildRequires: perl-CryptX
Requires:      perl >= %perl_major_ver
BuildArch:     noarch

%description
This module is a Perl-only implementation of the cryptographic cipher block chaining mode (CBC).
In combination with a block cipher such as DES or IDEA, you can encrypt and decrypt messages of arbitrarily long length.
The encrypted messages are compatible with the encryption format used by SSLeay.

%prep
%setup -q -n Crypt-CBC-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Apr 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.03-2mamba
- added perl-CrpytX build requirement

* Mon Apr 19 2021 Automatic Build System <autodist@mambasoft.it> 3.03-1mamba
- automatic version update by autodist

* Sun Apr 18 2021 Automatic Build System <autodist@mambasoft.it> 3.02-1mamba
- automatic version update by autodist

* Sun Aug 04 2013 Automatic Build System <autodist@mambasoft.it> 2.33-1mamba
- automatic update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 2.32-1mamba
- automatic version update by autodist

* Tue Nov 06 2012 Automatic Build System <autodist@mambasoft.it> 2.31-1mamba
- automatic version update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.30-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24-2mamba
- automatic rebuild by autodist

* Tue Nov 13 2007 Aleph0 <aleph0@openmamba.org> 2.24-1mamba
- update to 2.24

* Wed May 10 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.17-1qilnx
- package created by autospec

* Tue Jan 18 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 2.08-2qilnx
- fix version requirement for perl (>= instead of > )

* Tue Feb 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.08-1qilnx
- First build